#--------------------------------------------------------------
procedure myex2( im_name )
#--------------------------------------------------------------
string  im_name {prompt = "Input images"}

struct  *flist

begin
    string filename, outfiles, tmpfile
    string param 
    string datatyp, title, wavelen

    filename = im_name

    delete( "DARK*",ver-, >&"dev$null" )
    delete( "OBJECT*",ver-, >&"dev$null" )

    tmpfile = mktemp( "tmp$gr_tmp." )

    sections( filename, option='fullname', > tmpfile )
    flist = tmpfile

    print( 'Now grouping CCD images...' )
    while( fscan( flist, param ) == 1 ) {
        hselect( param, "DATA-TYP, i_title, FILTER", yes) \
            | scan( datatyp, title, wavelen )

        outfiles = datatyp//"."//title//"."//wavelen
        print( param, >> outfiles )

        outfiles = ""
        datatyp = ""
        title = ""
        wavelen = ""
    }

    delete( tmpfile,ver-, >&"dev$null" )
end

